@import '~@angular/material/prebuilt-themes/indigo-pink.css';
@import url("https://fonts.googleapis.com/icon?family=Material+Icons");
body {
  margin: 0;
  font-size: 18px;
  direction: ltr;
  font-family: "B Homa", Arial, Helvetica, sans-serif;
  background-color: #F3F3F3;
}

.modal {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 1; /* Sit on top */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0,0,0); /* Fallback color */
  background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
  padding-top: 60px;
}

.modal-content {
  padding: 20px;
  margin: 5% auto 15% auto; /* 5% from the top, 15% from the bottom and centered */
  border: 1px solid #888;
  width: 70%; /* Could be more or less, depending on screen size */
  background-color: #CBF3EB;

}

.close {
  position: absolute;
  right: 25px;
  top: 0;
  color: red;
  padding: 2px;
  font-size: 50px;
  font-weight: bold;
}

.close:hover,
.close:focus {
  color: red;
  cursor: pointer;
}

.box-background{
  width: 100%;
  padding: 15px;
  background:#D3E1F8;
  margin-bottom: 20px;
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
  border-radius: 15px
}

.title-form{
  text-align: center;
  color: #3F71C7;
  margin-top: 10px
}

.field-form{
  color: #4e555b;
  font-size: 15px;
  text-align: right;
  margin-top: 5px;
  padding: 10px;
}

.sub-field-form{
  margin-top: 5px;
  text-align: right;
  font-size: 16px;
  color: #3F71C7;
}

.edit-form-genral-info{
  width: 100%;
  margin-top: 5px;
  text-align: right;
  color: #3F71C7;
}
.edit-button{
  width: 100%;
  padding: 5px;
  font-size: large;
  background-color: #2875F9;
  color: white;
  border: none;
  border-radius:10px;
}

.delete-button{
  width: 100%;
  padding: 5px;
  font-size: large;
  color: #2875F9;
  background-color: transparent;
  border: solid #2875F9 3px;
  border-radius: 10px;
  margin-top: 10px;
}

.edit-form{
  margin-top: 10px;
}

.input-title{
  text-align: center;
  color: #3F71C7;
  background-color: transparent;
  border-radius: 5px;
  font-size: 17px;

}

.input-field{
  color: #4e555b;
  font-size: 17px;
  margin-bottom: 20px;
  text-align: right;
  width: fit-content;
  background-color: transparent;
  border-radius: 5px;
}

.extra-text{
  color: #4e555b;
  font-size: 17px;
  margin-bottom: 20px;
  text-align: right;
  background-color: transparent;
  border-radius: 5px;
  width: 100%;
  height: 100px;
}

.link-text{
  font-size:15px;
  color: whitesmoke;
  padding: 5px;
  cursor: pointer;
  text-align: right;
  border-radius: 5px;
  border: none;
  margin: 10px;
  background-color: #3F71C7;
}

.img-container{
  position: relative;
}

.img-container:hover .del-pic{
  opacity: 1;
}

.img-container:hover .gallery{
  opacity: 0.3;
}
.del-pic{
  transition: .5s ease;
  opacity: 0;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  text-align: center;
}

.del-button{
  background-color: red;
  border: none;
  border-radius: 5px;
  padding: 8px;
  color: whitesmoke;
}

.gallery {
  width: 100%;
  margin: 10px;
  transition: .5s ease;
}

.gallery img {
  width: 100%;
  height: auto;
}

.desc {
  padding: 15px;
  text-align: center;
}

.upload-file{
  background-color: #4F7DBE;
  color: white;
  text-align: center;
}



